Subject: Re: bug#48910: Very slow startup of GTK+ applications

From: Ludovic Courtès <[email-masked]>
Date: Fri, 18 Jun 2021 11:22:28 +0200

Hi,

Leo Famulari <[email-masked]> skribis:

> Googling, I found some similar bug reports:
>
> https://bbs.archlinux.org/viewtopic.php?id=243737
> https://forum.level1techs.com/t/gtk-applications-are-super-slow-at-startup/166540
>
> The Arch discussion is very similar, as we are both using i3 launched
> with startx.
>
> The Arch discussion pointed to their wiki page on xinit, which
> includes this note:
>
> ------
> Note: At the very least, ensure that the last if block in
> /etc/X11/xinit/xinitrc is present in your ~/.xinitrc file to ensure that
> the scripts in /etc/X11/xinit/xinitrc.d are sourced.
> ------
>
> I did that, and it fixed the problem.
>
> The file /etc/X11/xinit/xinitrc on my Debian system merely sources
> /etc/X11/Xsession, which is attached for your reference.
>
> It does a lot of things and references other files... I have no idea
> what actually fixed my problem.

Weird.

I conclude this is not a Guix-specific issue and can be closed, right?

Thanks for sharing the tip!

Ludo’.